package de.ozgcloud.processor.processor;

import org.springframework.context.ApplicationListener;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.stereotype.Component;

import lombok.RequiredArgsConstructor;
import lombok.extern.log4j.Log4j2;

@Log4j2
@Component
@RequiredArgsConstructor
class ProcessorLogRunner implements ApplicationListener<ContextRefreshedEvent> {

	private final ProcessorProperties properties;

	@Override
	public void onApplicationEvent(ContextRefreshedEvent event) {
		LOG.info("Processors configured: " + properties);

	}

}
